Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Class T3ExecuteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.common.T3ExecuteException

Deprecated. Deprecated in WebLogic Server 6.1.

public final class T3ExecuteException
extends java.lang.Exception

A T3ExecuteException is thrown whenever an error occurs in the execute() method of a class that implements either the T3Executable or T3ExecutableLazy interface.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3ExecuteException()` Deprecated. Deprecated in WebLogic Server 6.1.
`T3ExecuteException(java.lang.Exception ne)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3ExecuteException(java.lang.String message, java.lang.Exception ne)` Deprecated. Deprecated in WebLogic Server 6.1.
`T3ExecuteException(java.lang.String message, java.lang.Exception ne, java.lang.String nestedStackTrace)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Summary
`java.lang.Exception` | `getNestedException()` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `getNestedExceptionStackTrace()` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `printStackTrace()` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `printStackTrace(java.io.PrintStream ps)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `setNestedExceptionStackTrace(java.lang.String cst)` Deprecated. Deprecated in WebLogic Server 6.1.
`java.lang.String` | `toString()` Deprecated. Deprecated in WebLogic Server 6.1.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3ExecuteException

    public T3ExecuteException()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructs a T3ExecuteException.

### T3ExecuteException

    public T3ExecuteException(java.lang.String message,
                              java.lang.Exception ne,
                              java.lang.String nestedStackTrace)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructs a T3ExecuteException with the specified message, a nested exception, and a nested stack trace.

  Parameters:
    `message` - Exception message
    `ne` - Nested exception
    `nestedStackTrace` - Stack trace from the nested exception

### T3ExecuteException

    public T3ExecuteException(java.lang.String message,
                              java.lang.Exception ne)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructs a T3ExecuteException with the specified message and nested exception.

  Parameters:
    `message` - Exception message
    `ne` - Nested exception

### T3ExecuteException

    public T3ExecuteException(java.lang.Exception ne)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Constructs a T3ExecuteException with the specified nested exception.

  Parameters:
    `ne` - Nested exception

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets the nested exception associated with a T3ExecuteException.

  Returns:
    Nested exception

### getNestedExceptionStackTrace

    public java.lang.String getNestedExceptionStackTrace()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Gets the stack trace for a T3ExecuteException nested exception.

  Returns:
    Stack trace for the nested exception

### setNestedExceptionStackTrace

    public void setNestedExceptionStackTrace(java.lang.String cst)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Sets the stack trace for a T3ExecuteException nested exception to the specified stack trace.

  Parameters:
    `cst` - Stack trace

### printStackTrace

    public void printStackTrace()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Prints the stack trace for a T3ExecuteException.

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Deprecated. Deprecated in WebLogic Server 6.1.
  Prints the stack trace for a T3ExecuteException to the specified print stream.

  Parameters:
    `ps` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Deprecated. Deprecated in WebLogic Server 6.1.
  Displays a String representation of a T3ExecuteException.

  Returns:
    String representation
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference